
// Test the client-side library code. Build a surrogate library for a simple
// API that contains and open and close call like netcdf.
//
// jhrg 10/4/93

// $Log: client.cc,v $
// Revision 1.3  1999/05/05 22:57:19  jimg
// Merged Brent's String --> string changes with Dan's changes
//
// Revision 1.2  1995/01/31 21:31:10  dan
// Removed files from repository which have been moved to ../netio
//
// Revision 1.1  1995/01/09  16:04:31  dan
// These files constitute the JGOFS server and client library code
// for use with the DODS api.
//
// Revision 1.1  1994/10/05  18:02:16  jimg
// First version of the connection management classes.
// This commit also includes early versions of the test code.
//

#include "JGConnect.h"
#include "Connections.h"

extern "C" int jdbopen_(int*, char*, char*, int*, int*);
extern "C" int jdbreada_(int*, char*, int*);
extern "C" int jdbread_(int*, float*);

int 
main(int argc, char *argv[])
{
    int id, clev, valuesize = 40;
    int unit, nSize=12, n=100;
    char *values = new char[20*40];
    float fvalues[20];
    char *varN = new char[nSize*n];
    
    for( int i = 0; i < argc-2; i++) {
      strcpy((varN+(nSize)*i),argv[i+2]);
      //cout << (varN+(nSize)*i) << endl;
    }
    if ( argc == 2 ) n=-99;
    else n = argc - 2;

    id = jdbopen_(&unit, argv[1], varN, &nSize, &n);

//    while ( (clev = jdbreada_(&unit, values, &valuesize)) >= 0 ) {
//      for( i = 0; i < n; i++) {
//	printf("%-10.10s",values+(valuesize*i));
//      }
//      printf("\n");
//    }
    while ( (clev = jdbread_(&unit, fvalues)) >= 0 ) {
      for( i = 0; i < n; i++) {
	printf("%-10.10f",fvalues[i]);
      }
      printf("\n");
    }
}

